 #ifndef _LOGDEF_H_
#define _LOGDEF_H_
#include <syslog.h>

#define DEBUG_PRINT(info,args...)  do { \
					syslog(LOG_DEBUG, "[%s][%d]"info,__FUNCTION__,__LINE__ ,##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
 				}while(0)
#define INFO_PRINT(info,args...)   do { \
					syslog(LOG_INFO, "[%s][%d]"info,__FUNCTION__,__LINE__ , ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)
#define ERROR_PRINT(info,args...)  do { \
					syslog(LOG_ERR, "[%s][%d]"info,__FUNCTION__,__LINE__ , ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)
#define WARNING_PRINT(info,args...) do { \
					syslog(LOG_WARNING, "[%s][%d]"info,__FUNCTION__,__LINE__ , ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)

#endif


